<form class="dailyOrderComponent">
  <div class="flex-container" fxLayoutWrap="wrap">

    <div class="borderLeft foodItemColumn" fxFlex="27">
      <h4><span class="icon-Meal"></span>Main Dishes</h4>
      <div class="scrollMeY">
        <div fxLayout="row" class="borderBottom foodItem" *ngFor="let food of dailyMenuFoodsByCategory.foodsMap.get('Main dish') | mapToIterable; let in = index">
          <span class="fooddescription" fxFlex="60" mdTooltip="{{food.food.description}}">{{food.food.foodName}}</span>
          <input fxFlex="17" [disabled]="calculateFinalState() || !isEnabled()" class="quantity" type="number" name="MainDish-{{in}}"
            min="0" [(ngModel)]="food.quantity" (ngModelChange)="calculateTotal()" pattern='[0-9]{1,3}'>
          <span fxFlex="20">&nbsp;&nbsp;x&nbsp;&nbsp;{{food.food.price}}<span [innerHTML]="globalSettingsService.getCurrency() | async"> </span></span>
        </div>
      </div>
    </div>
    <div class="borderLeft  foodItemColumn" fxFlex="27">
      <h4><span class="icon-Salad"></span>Salads</h4>
      <div class="scrollMeY">
        <div fxLayout="row" class="borderBottom foodItem" *ngFor="let food of dailyMenuFoodsByCategory.foodsMap.get('Salad') | mapToIterable; let in = index">

          <span class="fooddescription" fxFlex="60" mdTooltip="{{food.food.description}}">{{food.food.foodName}}</span>
          <input fxFlex="20" [disabled]="calculateFinalState() || !isEnabled()" type="number" name="Salad-{{in}}" min="0" [(ngModel)]="food.quantity"
            (ngModelChange)="calculateTotal()" pattern='[0-9]{1,3}'>
          <span fxFlex="20">&nbsp;&nbsp;x&nbsp;&nbsp;{{food.food.price}}<span [innerHTML]="globalSettingsService.getCurrency() | async"> </span></span>
        </div>
      </div>
    </div>
    <div class="borderLeft  foodItemColumn" fxFlex="27">
      <h4><span class="icon-Drink"></span>Drinks</h4>
      <div class="scrollMeY">
        <div fxLayout="row" class="borderBottom foodItem" *ngFor="let food of dailyMenuFoodsByCategory.foodsMap.get('Drink') | mapToIterable; let in = index">

          <span class="fooddescription" fxFlex="60" mdTooltip="{{food.food.description}}">{{food.food.foodName}}</span>
          <input fxFlex="20" [disabled]="calculateFinalState() || !isEnabled()" type="number" name="Drink-{{in}}" min="0" [(ngModel)]="food.quantity"
            (ngModelChange)="calculateTotal()" pattern='[0-9]{1,3}'>
          <span fxFlex="20">&nbsp;&nbsp;x&nbsp;&nbsp;{{food.food.price}}<span [innerHTML]="globalSettingsService.getCurrency() | async"> </span></span>
        </div>
      </div>
    </div>
    <div class="totalColumn " fxFlex="18">
      <h4 class="pullMeMiddle totalBorderBottom">Total:</h4>
      <span class=" greenBackGround" fxLayoutAlign="center center" *ngIf="dailyMenuFoodsByCategory.orderId!=0&&!loading">
                 Order Placed&nbsp;<i class="material-icons">done</i>
          </span>
      <span fxLayoutAlign="center center" *ngIf="dailyMenuFoodsByCategory.orderId!=0">
               <md-spinner *ngIf="loading"></md-spinner>
          </span>

      <span fxLayoutAlign="center center" class="totalBackGround pullMeMiddle">{{dailyMenuFoodsByCategory.total.toLocaleString()}} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>


      </span>

      <span fxLayoutAlign="center center" fxLayout="row" *ngIf="!calculateFinalState()">
              <div>
                  <button mdTooltip="Place order." md-mini-fab [disabled]="disableSubmit" class="pullMeRight" type="submit" *ngIf="dailyMenuFoodsByCategory.orderId==0;" (click)="orderDailyMenu()">
            <md-icon>done</md-icon>
            </button>

            <button mdTooltip="Delete order." md-mini-fab [disabled]="disableSubmit" class="pullMeRight" type="submit" *ngIf="dailyMenuFoodsByCategory.orderId!=0 && modifyFlag;" (click)="deleteOrder()">
            <md-icon>delete_forever</md-icon>
            </button>
      <button mdTooltip="Modify order." md-mini-fab [disabled]="disableSubmit" class="pullMeRight" type="submit" *ngIf="dailyMenuFoodsByCategory.orderId!=0 && modifyFlag"
        (click)="modifyDailyMenu()">
            <md-icon>mode_edit</md-icon>
            </button>
      <button mdTooltip="Back" md-mini-fab class="pullMeRight" type="submit" *ngIf="!modifyFlag && dailyMenuFoodsByCategory.orderId!=0" (click)="goBack()">
            <md-icon>arrow_forward</md-icon>
            </button>
      <button mdTooltip="Save changes." md-mini-fab [disabled]="disableSubmit" class="pullMeRight" type="submit" *ngIf="!modifyFlag && dailyMenuFoodsByCategory.orderId!=0"
        (click)="submitChanges()">
            <md-icon>save</md-icon>
            </button>
    </div>
    </span>
    </div>
  </div>
</form>
